# About
The Force Engine - a modern "Jedi Engine" replacement supporting Dark Forces, Outlaws and the mods.

For information about the setup, status or features of the Force Engine, please read the [The Force Engine manual](local://Game/TheForceEngine Manual). For information on how to play Dark Forces itself read the [Game Manual](Game/GameManual).
### Version
Beta 1.0.00
### Release Date
(unreleased)

## What is the Force Engine?
The Force Engine is a full re-write of DarkXL, focusing on accuracy, completeness and cross platform compatibility.
  * [The Force Engine Design Manifesto](local://Manifesto)
  * [Github Link](https://github.com/luciusDXL/TheForceEngine.git)
  
## Credits
* luciusDXL (me)

## Dependencies
## Windowing, Graphics, Input

### SDL 2.0.x
https://www.libsdl.org/
License: ZLIB
### GLEW
https://github.com/nigels-com/glew
License: Modified BSD license

## UI

### imGUI
https://github.com/ocornut/imgui
License: MIT
### imGUI File Dialog, modified to fit the DarkXL 2 use case.
https://github.com/gallickgunner/ImGui-Addons
License: MIT
### imGUI Markdown
https://github.com/juliettef/imgui_markdown
License: ZLIB

## Geometry

### fast-poly2tri - v1.0
Rewrite of the poly2tri library (https://github.com/jhasse/poly2tri) by Unspongeful (@unspongeful).
License: BSD-3-Clause
### Clipper
http://www.angusj.com/delphi/clipper.php
License: Boost Software License

## Image Loading & Saving

### DevIL
TODO: Replace with Stb_Image
http://openil.sourceforge.net/
License: LGPL 2.1

## Audio

### RtAudio (Core Audio I/O)
http://www.music.mcgill.ca/~gary/rtaudio/
License:
RtAudio: a set of realtime audio i/o C++ classes
Copyright (c) 2001-2019 Gary P. Scavone

### RtMidi (Core Midi Hardware I/O)
https://www.music.mcgill.ca/~gary/rtmidi/
License:
RtMidi: realtime MIDI i/o C++ classes
Copyright (c) 2003-2019 Gary P. Scavone
